<h3>Usuarios</h3>
<div class="row" *ngIf="menssagemSucesso">
  <div class="col-md-12">
      <div class="alert alert-success alert-dismissable">
          <button type="button" (click)="menssagemSucesso = false" class="close">&times;</button>
          <h4><i class="icon fa fa-check"></i> Sucesso!</h4>
          Cadastro realizado com sucesso
        </div>
  </div>
</div>

<div class="row" *ngIf="menssagemErro">
    <div class="col-md-12">
        <div class="alert alert-danger alert-dismissable">
          <button type="button" (click)="menssagemErro = false" class="close">&times;</button>
          <h4><i class="icon fa fa-check"></i> Erro!</h4>
          Erro inesperado no cadastro
        </div>
    </div>
</div>
<div class="row">
  <div class="col-md-12">
    <div class="box box-success">
      <div class="box-header with-border">
        <h3 class="box-title">Cadastro de Usuario</h3>
      </div>
      <form #usuarioForm="ngForm" (ngSubmit)="salvar()">
        <div class="box-body">
          
          <div class="form-group">
          <label>Pessoa</label>
            <select class="form-control" name="pessoa" required [(ngModel)]="usuario.pessoa">
              <option *ngFor="let pessoa of pessoas" [ngValue]='pessoa'>{{pessoa.nome}}</option>
            </select>
          </div>

          <div class="form-group">
            <label for="usuarioNome">Login</label>
            <input type="text" class="form-control" id="usuarioLogin" name="login" [(ngModel)]="usuario.login" required minlength="3" placeholder="Login">
          </div>

          <div class="form-group">
            <label for="usuarioSenha">Senha</label>
            <input type="text" class="form-control" id="usuarioSenha" name="senha" [(ngModel)]="usuario.senha" required minlength="3" placeholder="Senha">
          </div>

          <div class="form-group">
            <label>Perfil</label>
              <select class="form-control" name="perfil" required [(ngModel)]="usuario.perfil">
                <option *ngFor="let perfil of perfis" [ngValue]='perfil'>{{perfil.nome}}</option>
              </select>
            </div>

          <div class="form-group">
              <p-selectButton [options]="status" name="ativo" [(ngModel)]="usuario.ativo"></p-selectButton>
          </div>

        </div>
        <div class="box-footer">
          <button type="submit" [disabled]="!usuarioForm.valid" class="btn btn-primary">
            Salvar
          </button>
        </div>
    </form>
    </div>
  </div>
</div>